Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.glgraphics
Class GLTextureFilterParameter

    java.lang.Object
      codeanticode.glgraphics.GLSLShaderUniform
          codeanticode.glgraphics.GLTextureFilterParameter

All Implemented Interfaces:
  GLConstants

    public class GLTextureFilterParameter

extends GLSLShaderUniform

This class stores the (uniform) parameter for a texture filter.

Nested Class Summary

Nested classes/interfaces inherited from interface codeanticode.glgraphics.GLConstants
`GLConstants.ClickAction, GLConstants.KeyboardAction, GLConstants.MouseAction, GLConstants.MouseHandler`

Field Summary

Fields inherited from interface codeanticode.glgraphics.GLConstants
`BACKGROUND_ALPHA, COLOR, DOUBLE, FLOAT, GL_DEPTH_STENCIL, GL_DEPTH24_STENCIL8, GL_UNSIGNED_INT_24_8, GLGRAPHICS, LINE_LOOP, LINE_STRIP, LINEAR, LINEAR_MIPMAP_LINEAR, LINEAR_MIPMAP_NEAREST, NEAREST, NEAREST_MIPMAP_LINEAR, NEAREST_MIPMAP_NEAREST, POINT_SPRITES, TEX_BYTE, TEX_FILTER_PARAM_FLOAT, TEX_FILTER_PARAM_INT, TEX_FILTER_PARAM_MAT2, TEX_FILTER_PARAM_MAT3, TEX_FILTER_PARAM_MAT4, TEX_FILTER_PARAM_VEC2, TEX_FILTER_PARAM_VEC3, TEX_FILTER_PARAM_VEC4, TEX_INT, TEX_NORM, TEX_ONEDIM, TEX_RECT`

Constructor Summary
`GLTextureFilterParameter(processing.core.PApplet parent, GLSLShader shader, java.lang.String name, java.lang.String label, int type)` Creates an instance of GLTextureFilterParameter using the specified parameters.
`GLTextureFilterParameter(processing.core.PApplet parent, java.lang.String name, java.lang.String label, int type)` Creates an instance of GLTextureFilterParameter using the specified parameters.

Method Summary
`java.lang.String` | `getLabel()` Returns parameter label.
`java.lang.String` | `getName()` Returns parameter name.
`int` | `getType()` Returns parameter type.
`static int` | `getType(java.lang.String typeStr)` Returns the int constant that identifies a type, given the corresponding string.
`void` | `setShader(GLSLShader shader)` Sets the shader this parameter corresponds to.
`void` | `setValue(float value)` Sets the parameter value when the type is float.
`void` | `setValue(float[] value)` Sets the parameter value for any type.
`void` | `setValue(int value)` Sets the parameter value when the type is int.
`void` | `setValue(int i, float value)` Sets the ith value for the parameter (only valid for vec or mat types).
`void` | `setValue(int i, int j, float value)` Sets the (ith, jth) value for the parameter (only valid for mat types).

Methods inherited from class codeanticode.glgraphics.GLSLShaderUniform
`genID, setParameter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLTextureFilterParameter

    public GLTextureFilterParameter(processing.core.PApplet parent,
                                    java.lang.String name,
                                    java.lang.String label,
                                    int type)

  Creates an instance of GLTextureFilterParameter using the specified parameters. The shader is set to null.

  Parameters:
    `parent` - PApplet
    `name` - String
    `label` - String
    `type` - int

### GLTextureFilterParameter

    public GLTextureFilterParameter(processing.core.PApplet parent,
                                    GLSLShader shader,
                                    java.lang.String name,
                                    java.lang.String label,
                                    int type)

  Creates an instance of GLTextureFilterParameter using the specified parameters.

  Parameters:
    `parent` - PApplet
    `shader` - GLSLShader
    `name` - String
    `label` - String
    `type` - int

Method Detail

### setShader

    public void setShader(GLSLShader shader)

  Sets the shader this parameter corresponds to.

  Parameters:
    `shader` - GLSLShader

### setValue

    public void setValue(int value)

  Sets the parameter value when the type is int.

  Parameters:
    `value` - int

### setValue

    public void setValue(float value)

  Sets the parameter value when the type is float.

  Parameters:
    `value` - float

### setValue

    public void setValue(float[] value)

  Sets the parameter value for any type. When the type is int or float, the first element of the value array is considered.

  Parameters:
    `value` - float[]

### setValue

    public void setValue(int i,
                         float value)

  Sets the ith value for the parameter (only valid for vec or mat types).

  Parameters:
    `int` - i
    `value` - float

### setValue

    public void setValue(int i,
                         int j,
                         float value)

  Sets the (ith, jth) value for the parameter (only valid for mat types).

  Parameters:
    `int` - i
    `int` - j
    `value` - float

### getType

    public static int getType(java.lang.String typeStr)

  Returns the int constant that identifies a type, given the corresponding string.

  Parameters:
    `String` - typeStr
  Returns:
    int

### getType

    public int getType()

  Returns parameter type.

  Returns:
    int

### getName

    public java.lang.String getName()

  Returns parameter name.

  Returns:
    String

### getLabel

    public java.lang.String getLabel()

  Returns parameter label.

  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library glgraphics by Andres Colubri. (c) 2008